## brian 1.3.0

=== debian/changelog ===
brian (1.3.0-2~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 06 Apr 2011 17:50:33 -0400

brian (1.3.0-2) unstable; urgency=low

  * Restrict numpy versioned dependency only to -lib package. Thanks Jakub
    Wilk

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Apr 2011 13:04:44 -0400

brian (1.3.0-1) unstable; urgency=low

  * Fresh upstream release
  * Suggest cherrypy and build-depend on dvipng

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Feb 2011 11:42:36 -0500

brian (1.2.2~svn2469-1) unstable; urgency=low

  * Upstream pre-release snapshot
  * debian/copyright - fixed Maintainer and Source entries
  * debian/rules:
    - set both HOME and MPLCONFIGDIR to point to build/.
      Should resolve issues of building when $HOME is read-only
      (Closes: #612548)
    - assure Agg matplotlib backend to avoid possible complications
      during off-screen operations
    - un-disabled hears unittests (model-fitting remains disabled due
      to absent dependency -- playdoh)
  * debian/control:
    - graphviz (for graphs rendering) and texlive-latex-base,
      texlive-latex-extra (for equations rendering) into build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Feb 2011 19:28:34 -0500

brian (1.2.2~svn2229-1) unstable; urgency=low

  * Initial release (Closes: #602246)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Nov 2010 18:19:15 -0400
