=== debian/control ===
Source: brian
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support,
         python-matplotlib (>= 0.90.1),
         python-numpy (>= 1.3.0),
         python-scipy (>= 0.7.0),
         python-sympy,
         python-nose,
         python-sphinx, graphviz, texlive-latex-base, texlive-latex-extra, dvipng
Standards-Version: 3.9.1
Homepage: http://www.briansimulator.org/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/brian.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/brian.git
XS-DM-Upload-Allowed: yes

Package: python-brian
Architecture: all
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, python-brian-lib (>= ${source:Version}),
         python-matplotlib (>= 0.90.1),
         python-numpy (>= 1.3.0),
         python-scipy (>= 0.7.0)
Recommends:
         python-sympy
Suggests:
         python-brian-doc,
         python-nose,
         python-cherrypy
Description: simulator for spiking neural networks
 Brian is a clock-driven simulator for spiking neural networks. It is
 designed with an emphasis on flexibility and extensibility, for rapid
 development and refinement of neural models. Neuron models are
 specified by sets of user-specified differential equations, threshold
 conditions and reset conditions (given as strings). The focus is
 primarily on networks of single compartment neuron models (e.g. leaky
 integrate-and-fire or Hodgkin-Huxley type neurons). Features include:
  - a system for specifying quantities with physical dimensions
  - exact numerical integration for linear differential equations
  - Euler, Runge-Kutta and exponential Euler integration for nonlinear
    differential equations
  - synaptic connections with delays
  - short-term and long-term plasticity (spike-timing dependent plasticity)
  - a library of standard model components, including integrate-and-fire
    equations, synapses and ionic currents
  - a toolbox for automatically fitting spiking neuron models to
    electrophysiological recordings

Package: python-brian-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: simulator for spiking neural networks -- extensions
 Brian is a clock-driven simulator for spiking neural networks.
 .
 This package provides Python binary extensions.

Package: python-brian-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
Suggests: python-brian
Description: simulator for spiking neural networks - documentation
 Brian is a clock-driven simulator for spiking neural networks.
 .
 This package provides user's manual (in HTML format), examples and
 demos.
