## brian 1.3.1

=== debian/changelog ===
brian (1.3.1-1build1) precise; urgency=low

  * Rebuild to pick up numpy-abi9 on armel

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 19 Feb 2012 14:45:19 +0100

brian (1.3.1-1) unstable; urgency=low

  * Fresh upstream release
  * Boosted policy compliance to 3.9.2 (no changes)
  * Added up_skip_tests_with_paths patch to avoid test failures on custom 
    test scripts with hardcoded paths

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Jan 2012 12:49:11 -0500
