=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: brian
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support,
          python-matplotlib (>= 0.90.1),
@@ -11,7 +10,7 @@
          python-sympy,
          python-nose,
          python-sphinx, graphviz, texlive-latex-base, texlive-latex-extra, dvipng
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.briansimulator.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/brian.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/brian.git
@@ -19,7 +18,7 @@
 
 Package: python-brian
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, python-brian-lib (>= ${source:Version}),
+Depends: ${python:Depends}, ${misc:Depends}, python-brian-lib (>= ${source:Version}),
          python-matplotlib (>= 0.90.1),
          python-numpy (>= 1.3.0),
          python-scipy (>= 0.7.0)
@@ -50,7 +49,7 @@
 
 Package: python-brian-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: simulator for spiking neural networks -- extensions
  Brian is a clock-driven simulator for spiking neural networks.
  .
@@ -59,7 +58,7 @@
 Package: python-brian-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-brian
 Description: simulator for spiking neural networks - documentation
  Brian is a clock-driven simulator for spiking neural networks.
