=== debian/watch ===
version=3

# Just to track the version
https://neuralensemble.org/trac/brian/wiki/Downloads .*download/release/.*/(.*)

# There no versioned tarball readily visible in HREF
# so we cannot monitor ATM point releases
#opts="dversionmangle=s/~//" \
#https://neuralensemble.org/trac/brian/downloader/download/category/6/Quick%20releases \
#		brian-​(.*)\.​zip
