## brian 1.4.1

=== debian/changelog ===
brian (1.4.1-2) unstable; urgency=medium

  * Forgotten upload to unstable
  * debian/control
    - policy boost to 3.9.5
    - updated Vcs- fields given migration to anonscm.d.o and provided -b
      debian

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Jul 2014 11:29:44 -0400

brian (1.4.1-1) experimental; urgency=low

  * New upstream release
    - absorbed/addressed all non deb_* patches
  * debian/rules
    - set http_proxy to avoid undesired network accesses
    - prefixed with 'set -e' all 'for' loops to guarantee failure if any fails
  	- set env variable BRIAN_SETUP_FAIL_ON_ERROR

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Apr 2013 13:01:25 -0400

brian (1.4.0-1) experimental; urgency=low

  * Fresh upstream release
  * debian/patches:
    - added up_examples_shebangs patch to address lintian warnings on
      executable non-scripts
    - refreshed build_extensions patch to build extensions (assuming now
      that numpy is present)
    - cherry-picked 0001-C-version-of-SpikeContainer-now-picklable.patch to
      resolve pickling of swig'ed objects
  * debian/control:
    - boosted policy to 3.9.3 (no further changes)
    - removed not needed XS-DM-Upload-Allowed
  * debian/copyright:
    - DEP5 v.1.0 compliant now
    - moved references into debian/upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 Aug 2012 09:09:13 -0400
