=== debian/control ===
--- 
+++ 
@@ -10,11 +10,10 @@
          python-sympy,
          python-nose,
          python-sphinx, graphviz, texlive-latex-base, texlive-latex-extra, dvipng
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.briansimulator.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/brian.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/brian.git
-XS-DM-Upload-Allowed: yes
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-exppsy/brian.git
+Vcs-Git: git://anonscm.debian.org/pkg-exppsy/brian.git -b debian
 
 Package: python-brian
 Architecture: all
