=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
+export  http_proxy=http://127.0.0.1:9/
+endif
+
 
 PACKAGE_NAME = python-brian
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
@@ -9,10 +14,14 @@
 PYTHON=$(shell pyversions -d)
 PYTHON_VERSION=$(shell pyversions -d -v)
 
-# override HOME (for weave) and matplotlib config directory
+# override HOME (setfor weave) and matplotlib config directory
 # to allow building in chroots with read-only HOME
 export HOME=$(CURDIR)/build
 export MPLCONFIGDIR=$(HOME)
+
+# Brian allows to install without extensions.  We want to assure that
+# they are there
+export BRIAN_SETUP_FAIL_ON_ERROR=1
 
 %:
 	dh $@
@@ -42,7 +51,7 @@
 # All tests later on
 # cd build to prevent use of local/not-built source tree
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd build; \
+	set -e; cd build; \
 	for PYTHON in $(shell pyversions -r); do \
 		echo "I: Running Brian unittests using $$PYTHON"; \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
@@ -57,7 +66,7 @@
 ## move binary libraries into -lib
 override_dh_pysupport:
 	: # Move platform-specific libraries into -lib
-	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
+	set -e; for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
 	   tdir=$(PACKAGE_ROOT_DIR)-lib/$${sdir#*$(PACKAGE_NAME)/} ; \
 	   mkdir -p $$tdir ; \
@@ -76,7 +85,7 @@
 
 ## Some custom rules
 test_examples: install
-	cd examples; \
+	set -e; cd examples; \
 	for f in `find -iname *.py`; do echo -n "$$f: "; \
 		PYTHONPATH=$$(/bin/ls -d $(CURDIR)/build/lib.*-$(PYTHON_VERSION)) MPLCONFIGDIR=../build \
 		python $$f >& $$f.output && echo "Ok" || echo "Failed"; done
