## brian 1.4.3

=== debian/changelog ===
brian (1.4.3-1) unstable; urgency=medium

  * New upstream minor release
    - compatible with recent matplotlib (Closes: #811354)
  * debian/copyright
    - adjusted years and for BSD-3-clause

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 16 Feb 2016 09:38:34 -0500

brian (1.4.1-3) unstable; urgency=medium

  * Deprecate python-support (Closes: #785971)
  * Fix timestamp for sphinx based on the changelog.  Thanks Juan Picca for
    the report and the patch (Closes: #788393)
  * Moved debian/upstream to debian/upstream/metadata
  * Policy boost to 3.9.6 (no changes)
  * Tuned up debian/copyright

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Aug 2015 16:41:19 +0200
