=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support,
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5),
+         dh-python,
          python-matplotlib (>= 0.90.1),
          python-numpy (>= 1.3.0),
          python-scipy (>= 0.7.0),
          python-sympy,
          python-nose,
          python-sphinx, graphviz, texlive-latex-base, texlive-latex-extra, dvipng
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.briansimulator.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-exppsy/brian.git
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/brian.git -b debian
