=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 export  http_proxy=http://127.0.0.1:9/
 endif
 
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS = -D html_last_updated_fmt="$(BUILD_DATE)"
 
 PACKAGE_NAME = python-brian
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
@@ -24,7 +27,7 @@
 export BRIAN_SETUP_FAIL_ON_ERROR=1
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_test:
 	: # Do not test just after build, lets install and then test
@@ -38,7 +41,7 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	mkdir -p docs_sphinx/_static # to avoid crashes with older sphinx (e.g. on jaunty)
 	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
-	{ cd docs_sphinx; sphinx-build -a -E -b html . ../docs; }
+	{ cd docs_sphinx; sphinx-build -a -E $(SPHINXOPTS) -b html . ../docs; }
 	-rmdir docs_sphinx/_static	# remove directory possibly created above
 	rm docs/_static/jquery.js
 	rm -r docs/.doctrees
@@ -64,7 +67,8 @@
 	mv debian/tmp debian/python-brian
 
 ## move binary libraries into -lib
-override_dh_pysupport:
+override_dh_install:
+	dh_install
 	: # Move platform-specific libraries into -lib
 	set -e; for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
@@ -74,8 +78,6 @@
 	   mv $$lib $$tdir ; \
 	done
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy -ppython-brian-lib; fi
-	dh_pysupport
-
 
 
 ## immediately useable documentation
