## brian 2.4.2

=== debian/changelog ===
brian (2.4.2-6) unstable; urgency=medium

  * Drop tuning on MIPS due to flaky builds: failed in unstable, although
    experimental build went through.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 20 Feb 2021 21:42:14 +0100

brian (2.4.2-5) unstable; urgency=medium

  * Fix detection of PA-RISC CPU on HP workstations.  The fallback method looks
    to otherwise work as expected, with the behavior of previous experiments.
  * Hopefully fix detection of SuperH CPU; Build-Depends are not available, so
    there are not much ways to check yet.
  * Rewrapped machine uname filters to be more condensed and less surprising.
  * debian/patches/gsl-compiler-arg.patch forwarded upstream.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 19 Feb 2021 14:45:38 +0100

brian (2.4.2-5~0exp0) experimental; urgency=medium

  * Team upload.
  * Improve gsl-compiler-arg.patch to squeeze out performances on any end user
    machine, in an architecture aware way.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 18 Feb 2021 19:42:27 +0100

brian (2.4.2-4) unstable; urgency=medium

  * Add myself to uploaders.
  * Attempt to undo harm done by erroneous experimental upload to unstable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 04 Feb 2021 13:02:42 +0100

brian (2.4.2-4~0exp0) experimental; urgency=medium

  * Team upload.
  * Improve gsl-compiler-arg.patch to squeeze out performances on any end user
    machine, in an architecture aware way.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 03 Feb 2021 20:22:43 +0100

brian (2.4.2-3) unstable; urgency=medium

  * Team upload.
  * Add gsl-compiler-arg.patch to select sensible default build arguments, as
    several CPU architectures may otherwise not work with upstream's defaults,
    which mainly target amd64 CPUs.  Fixes FTBFS on a couple of architectures,
    including mipsel and riscv64.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 30 Jan 2021 19:16:49 +0100

brian (2.4.2-2) unstable; urgency=medium

  * Team Upload.
  * Fix import name (Fixes debci)
  * Add python3-setuptools to Depends

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 23 Dec 2020 23:31:19 +0530

brian (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * Take over package in Debian Med team maintenance
  * Delete debian/gbp.conf since repository now follows default
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: python3-pytest
  * Ignore test test_cpp_standalone, test_functions, test_monitor
  * Also ignore test_stateupdaters and test_numpy_codegen which is
    questionable
  * Remove unneeded debian/blends (information is in upstream metadata)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Dec 2020 14:44:39 +0100

brian (2.2.2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version providing Python3 support
    Closes: #936239, #876920
  * Verified that import works
    Closes: #896426
  * Point watch file to Github
  * debhelper-compat 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.1
  * Testsuite: autopkgtest-pkg-python
  * buildsystem=pybuild
  * Lintian-overrides for issues created by sphinx
  * hardening=+all
  * More verbose long descriptions

 -- Andreas Tille <tille@debian.org>  Thu, 03 Oct 2019 08:28:05 +0200
