=== debian/control ===
Source: brian
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <etienne.mollier@mailoo.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3,
               python3-dev,
               python3-setuptools,
               python3-matplotlib,
               python3-numpy,
               python3-scipy,
               python3-sympy,
               python3-nose <!nocheck>,
               python3-pytest <!nocheck>,
               python3-sphinx,
               graphviz,
               texlive-latex-base,
               texlive-latex-extra,
               dvipng,
               pandoc,
               libgsl-dev <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/brian
Vcs-Git: https://salsa.debian.org/med-team/brian.git
Homepage: http://www.briansimulator.org/
Rules-Requires-Root: no

Package: python3-brian
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-brian-lib (>= ${source:Version}),
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-setuptools
Recommends: python3-sympy
Suggests: python-brian-doc,
          python3-nose,
          python3-cherrypy
Description: simulator for spiking neural networks
 Brian is a clock-driven simulator for spiking neural networks. It is
 designed with an emphasis on flexibility and extensibility, for rapid
 development and refinement of neural models. Neuron models are
 specified by sets of user-specified differential equations, threshold
 conditions and reset conditions (given as strings). The focus is
 primarily on networks of single compartment neuron models (e.g. leaky
 integrate-and-fire or Hodgkin-Huxley type neurons). Features include:
  - a system for specifying quantities with physical dimensions
  - exact numerical integration for linear differential equations
  - Euler, Runge-Kutta and exponential Euler integration for nonlinear
    differential equations
  - synaptic connections with delays
  - short-term and long-term plasticity (spike-timing dependent plasticity)
  - a library of standard model components, including integrate-and-fire
    equations, synapses and ionic currents
  - a toolbox for automatically fitting spiking neuron models to
    electrophysiological recordings

Package: python3-brian-lib
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: simulator for spiking neural networks -- extensions
 Brian is a clock-driven simulator for spiking neural networks. It is
 designed with an emphasis on flexibility and extensibility, for rapid
 development and refinement of neural models. Neuron models are
 specified by sets of user-specified differential equations, threshold
 conditions and reset conditions (given as strings). The focus is
 primarily on networks of single compartment neuron models (e.g. leaky
 integrate-and-fire or Hodgkin-Huxley type neurons).
 .
 This package provides Python3 binary extensions.

Package: python-brian-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Suggests: python3-brian
Description: simulator for spiking neural networks - documentation
 Brian is a clock-driven simulator for spiking neural networks. It is
 designed with an emphasis on flexibility and extensibility, for rapid
 development and refinement of neural models. Neuron models are
 specified by sets of user-specified differential equations, threshold
 conditions and reset conditions (given as strings). The focus is
 primarily on networks of single compartment neuron models (e.g. leaky
 integrate-and-fire or Hodgkin-Huxley type neurons).
 .
 This package provides user's manual (in HTML format), examples and
 demos.
