=== debian/watch ===
version=4

https://github.com/brian-team/brian2/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
