## brian 2.5.0.3

=== debian/changelog ===
brian (2.5.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 12:11:32 +0100

brian (2.5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop redundant uupdate from watch file
  * Remove sphinx_tabs extension which is not packaged

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 09:59:23 +0100

brian (2.4.2-8) unstable; urgency=medium

  [ Andreas Tille ]
  * Standards-Version: 4.6.0
  * Apply multi-arch hints.
    + python3-brian-lib: Add Multi-Arch: same.
    + python-brian-doc: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.

  [ Étienne Mollier ]
  * d/rules: test only against default python version; fixes build failures
    when several python versions are available.
  * Delete ignore_failing_test.patch: skipping these tests does not seem
    justified anymore; this also fixes running the test suite with pytest.
  * d/rules: use upstream's documented build time test.  (Closes: #983411)
  * d/control: remove build time test dependency python3-nose.
  * Add fix-numpy-test.patch: compatibility with numpy 1.21.  (Closes: #999522)
  * d/control: suggest unit test dependencies in python3-brian.
  * d/control,d/tests: replace superficial autodep8-python autopkgtest by
    autopkgtests based on brian2.test() with good coverage.
  * d/copyright: update debian/* copyright year.
  * d/python-brian-doc.lintian-overrides: fix spelling-in-override-comment.
  * privacy.patch: remove badges from the README.rst; fix some of the privacy
    breaches caught by lintian.
  * d/rules: move some cleanup code before the last stages of package building;
    fix lintian warning package-contains-vcs-control-file.

 -- Étienne Mollier <emollier@debian.org>  Sat, 27 Nov 2021 20:07:49 +0100

brian (2.4.2-7) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Make build reproducible

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken url to github

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 Aug 2021 16:02:56 +0530
