=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -15,7 +14,6 @@
                python3-numpy,
                python3-scipy,
                python3-sympy,
-               python3-nose <!nocheck>,
                python3-pytest <!nocheck>,
                python3-sphinx,
                graphviz,
@@ -23,11 +21,12 @@
                texlive-latex-extra,
                dvipng,
                pandoc,
-               libgsl-dev <!nocheck>
-Standards-Version: 4.5.1
+               libgsl-dev <!nocheck>,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/brian
 Vcs-Git: https://salsa.debian.org/med-team/brian.git
-Homepage: http://www.briansimulator.org/
+Homepage: https://www.briansimulator.org/
 Rules-Requires-Root: no
 
 Package: python3-brian
@@ -41,7 +40,10 @@
          python3-setuptools
 Recommends: python3-sympy
 Suggests: python-brian-doc,
-          python3-nose,
+          python3-pytest,
+          python3-sphinx,
+          python3-dev,
+          g++,
           python3-cherrypy
 Description: simulator for spiking neural networks
  Brian is a clock-driven simulator for spiking neural networks. It is
@@ -67,6 +69,7 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: simulator for spiking neural networks -- extensions
  Brian is a clock-driven simulator for spiking neural networks. It is
  designed with an emphasis on flexibility and extensibility, for rapid
@@ -85,6 +88,7 @@
          libjs-jquery,
          libjs-mathjax
 Suggests: python3-brian
+Multi-Arch: foreign
 Description: simulator for spiking neural networks - documentation
  Brian is a clock-driven simulator for spiking neural networks. It is
  designed with an emphasis on flexibility and extensibility, for rapid
