=== debian/rules ===
--- 
+++ 
@@ -84,18 +84,19 @@
 	    find debian/tmp -name $${ti}.py -delete ; \
 	done
 	# FIXME: May be the deleted tests should be provided in final binary package!
-	set -e; cd build; \
-	for PYTHON in $(shell py3versions -r); do \
-		echo "I: Running Brian unittests using $$PYTHON"; \
-		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages) \
-			$$PYTHON /usr/bin/nosetests3 -v -s -P --ignore-files="test_devices\.py" --exclude='(experimental|modelfitting)' brian2; \
-	done
+
+	# Effectively running the test suite brian2.test() per upstream doc.
+	set -e \
+	; cd $(CURDIR)/build \
+	; echo "I: Running Brian unittests using $(PYTHON)" \
+	; export PYTHONPATH="$$( echo $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages )" \
+	; $(PYTHON) -c 'import brian2;exit(not brian2.test())' \
+	; rm -rf "$${PYTHONPATH}/brian2/.pytest_cache/"
 endif
 
 	# Everything is relevant for python3-brian pkg -- moving accordingly
 	rm -rf debian/python3-brian
 	mv debian/tmp debian/python3-brian
-	find debian -name "*_cpp.o" -delete
 
 ## move binary libraries into -lib
 override_dh_install:
@@ -130,4 +131,8 @@
 	# working around sphinx bug #739300
 	sed -i 's?https://cdnjs.cloudflare.com/ajax/.*/latest.js?file:///usr/share/javascript/mathjax/unpacked/latest.js?g' \
 	    `grep -Rl 'https://cdnjs.cloudflare.com/ajax/.*/latest.js'`
-	find debian -name ".git*" -delete
+
+# finishing touches before building packages proper
+execute_after_dh_strip:
+	find debian/ -name "*_cpp.o" -delete
+	find debian/ -name ".git*" -delete
