## brian 2.5.1

=== debian/changelog ===
brian (2.5.1-3) unstable; urgency=medium

  * numpy1.24.patch: fix autopkgtest failure with numpy 1.24.
    Closes: #1027193

 -- Étienne Mollier <emollier@debian.org>  Mon, 09 Jan 2023 19:30:37 +0100

brian (2.5.1-2) unstable; urgency=medium

  * python3.11.patch: add; fix ftbfs with python3.11. (Closes: #1027936)
  * d/copyright: bump copyright year.
  * privacy.patch: mark forward not-needed.
  * sphinx.patch: mark forward not-needed.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Jan 2023 22:51:57 +0100

brian (2.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh privacy.patch
  * Add mathjax-local.patch: fix numerous privacy breaches in documentation.
  * d/rules: adjust to new location of pytest cache.
  * d/python-brian-doc.lintian-overrides: update sphinx related overrides.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Jul 2022 13:50:04 +0200
