=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                pandoc,
                libgsl-dev <!nocheck>,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/brian
 Vcs-Git: https://salsa.debian.org/med-team/brian.git
 Homepage: https://www.briansimulator.org/
