=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	; echo "I: Running Brian unittests using $(PYTHON)" \
 	; export PYTHONPATH="$$( echo $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages )" \
 	; $(PYTHON) -c 'import brian2;exit(not brian2.test())' \
-	; rm -rf "$${PYTHONPATH}/brian2/.pytest_cache/"
+	; rm -rvf "$${PYTHONPATH}/brian2/tests/.pytest_cache/"
 endif
 
 	# Everything is relevant for python3-brian pkg -- moving accordingly
