=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-sphinx, python3-dev, g++
Restrictions: allow-stderr
