## brian 2.5.4

=== debian/changelog ===
brian (2.5.4-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:39:14 +0000

brian (2.5.4-4) unstable; urgency=medium

  * gsl-compiler-arg.patch: remove: applied upstream.
  * loongarch64.patch: new: further gsl optimizations.
    Thanks to liuxiang (Closes: #1059428)
  * d/rules: adjust hook for final cleanup.
    This fixes latent lintian warnings in python-brian-doc after
    architecture independent builds.
  * pyproject-packages.patch: declare commit applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Fri, 29 Dec 2023 09:51:12 +0100

brian (2.5.4-3) unstable; urgency=medium

  * d/control: suggest make and libgsl-dev.
    These packages can be necessary to run certain optimized GSL workloads.
  * demote-cython.patch: new: remove cython from deps. (Closes: #1057983)
  * d/control: python3-brian recommends cython3.
    While it is not part of the dependencies anymore, the package
    contributes greatly to brian performances, and some example workloads
    will not run without it.
  * d/python-brian-doc.lintian-overrides: remove mismatched override.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 20:01:45 +0100

brian (2.5.4-2) unstable; urgency=medium

  * d/clean: also clean docs/ and egg info. (Closes: #1043920)
  * d/rules: make workaround for #739300 more robust.
    The initial shape of the workaround with sed and grep made it
    self-destruct on first pass, causing failure to build binary packages
    twice in a row.  Isolating one character of the regex immunizes the
    recipe against itself.  The check for existence of remaining files is
    also necessary so sed does not attempt to run on zero files.
    (Closes: #1049556)
  * d/rules: reinforce documentation cleanup.
    This also eases the Sphinx 7.1 and docutils 0.20 transition.
    (Closes: #1042608)

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Sep 2023 14:47:40 +0200

brian (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * privacy.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Jul 2023 22:05:58 +0200

brian (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * privacy.patch: refresh.
  * gsl-compiler-arg.patch: refresh.
  * python3.11.patch: remove: applied upstream.
  * numpy1.24.patch: remove: applied upstream.
  * d/control: add pyproject build dependencies.
    Upstream is shifting to pyproject to declare packaging of brian2.
  * pyproject-packages.patch: new patch.
    This is needed to pull recursively all brian2 submodules, otherwise
    one the top level directory is installed, plus a handful of components
    from brian2.synapses somehow pulled by some other mean.
  * reproducible.patch: declare forwarding not-needed.
    The nature of the change makes it specific to Debian build context.

 -- Étienne Mollier <emollier@debian.org>  Fri, 30 Jun 2023 13:17:32 +0200
