=== debian/control ===
--- 
+++ 
@@ -8,8 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                cython3,
+               flit,
+               pybuild-plugin-pyproject,
                python3-dev,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-matplotlib,
                python3-numpy,
                python3-scipy,
@@ -38,12 +41,15 @@
          python3-numpy,
          python3-scipy,
          python3-setuptools
-Recommends: python3-sympy
+Recommends: cython3,
+            python3-sympy
 Suggests: python-brian-doc,
           python3-pytest,
           python3-sphinx,
           python3-dev,
           g++,
+          libgsl-dev,
+          make,
           python3-cherrypy
 Description: simulator for spiking neural networks
  Brian is a clock-driven simulator for spiking neural networks. It is
