=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,11 @@
 	mkdir -p docs_sphinx/_static # to avoid crashes with older sphinx (e.g. on jaunty)
 	export PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages); \
 	{ cd docs_sphinx; sphinx-build -a -E $(SPHINXOPTS) -b html . ../docs; }
-	-rmdir -rf docs_sphinx/_static	# remove directory possibly created above
-	rm docs/_static/jquery.js
-	rm -r docs/.doctrees
+	rm -rvf docs_sphinx/_static	# remove directory possibly created above
+	rm -vf docs/_static/jquery.js
+	rm -rvf docs/.doctrees
 	: # objects inventory is of no use for the package
-	rm docs/objects.inv
+	rm -vf docs/objects.inv
 	# : # fresh PDF
 	# { cd docs_sphinx/_latexbuild; make clean; make; }
 endif
@@ -129,10 +129,11 @@
 	dh_installdocs
 	rm README.html
 	# working around sphinx bug #739300
-	sed -i 's?https://cdnjs.cloudflare.com/ajax/.*/latest.js?file:///usr/share/javascript/mathjax/unpacked/latest.js?g' \
-	    `grep -Rl 'https://cdnjs.cloudflare.com/ajax/.*/latest.js'`
+	if grep -Rq '[h]ttps://cdnjs.cloudflare.com/ajax/.*/latest.js' \
+	; then sed -i 's?[h]ttps://cdnjs.cloudflare.com/ajax/.*/latest.js?file:///usr/share/javascript/mathjax/unpacked/latest.js?g' \
+	     `grep -Rl '[h]ttps://cdnjs.cloudflare.com/ajax/.*/latest.js'` \
+	; fi
 
-# finishing touches before building packages proper
-execute_after_dh_strip:
+execute_before_dh_installdeb:
 	find debian/ -name "*_cpp.o" -delete
 	find debian/ -name ".git*" -delete
