## brian 2.7.1+ds

=== debian/changelog ===
brian (2.7.1+ds-1) unstable; urgency=medium

  * New upstream version 2.7.1+ds
  * d/copyright: exclude examples/multiprocessing/standalone307987/main.
    This binary file looks to have been included in the upstream release
    by error and should probably not be part of the package at all.
  * d/watch: declare repack suffix +ds.
  * fix-minor-version-check.patch: new: compensate +ds suffix.
    This is needed to pass a version check test, which fails due to the
    newly introduced suffix.
  * d/copyright: cpp_generator.py now contains Apache-2.0 code.
  * privacy.patch: refresh.
  * reproducible.patch: delete: applied upstream.
  * pyproject-packages.patch: delete: applied upstream.
  * demote-cython.patch: refresh.
  * loongarch64.patch: delete: applied upstream.
  * Update line offset of remaining patches.
  * d/rules: README.rst was renamed README.md upstream.
  * workaround-test-failure.patch: new: fix test failing since sympy 1.13.
    (Closes: #1078394)
  * d/control: declare compliance to standards version 4.7.0.
  * Rename d/docs to explicit d/python3-brian.docs.
  * d/s/lintian-overrides: flag a set of false positives.
  * d/rules: remove leftover standalone307987 directory.
  * d/{rules,python3-brian.docs}: install Rallpack README along docs.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 12:52:48 +0200
