=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                pandoc,
                libgsl-dev <!nocheck>,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/brian
 Vcs-Git: https://salsa.debian.org/med-team/brian.git
 Homepage: https://www.briansimulator.org/
