=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 PACKAGE_NAME = python3-brian
 PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
 INSTALL_PATH = $(CURDIR)/debian/tmp
+DOC_EXAMPLES_DIR = debian/python-brian-doc/usr/share/python-brian-doc/examples
 
 # default Python
 PYTHON=$(shell py3versions -d)
@@ -110,6 +111,10 @@
 	   mv $$lib $$tdir ; \
 	done
 	if [ -x /usr/bin/dh_numpy3 ]; then dh_numpy3 -ppython3-brian-lib; fi
+	# Cleanup accidentally included standalone upstream.
+	rm -rvf $(DOC_EXAMPLES_DIR)/multiprocessing/standalone307987
+	# Cleanup leftover README from Rallpack test data.
+	rm -vf $(PACKAGE_ROOT_DIR)/usr/lib/python3/dist-packages/brian2/tests/rallpack_data/README
 
 
 ## immediately useable documentation
@@ -125,7 +130,7 @@
 		python3 $$f >& $$f.output && echo "Ok" || echo "Failed"; done
 
 override_dh_installdocs:
-	pandoc README.rst > README.html
+	pandoc README.md > README.html
 	dh_installdocs
 	rm README.html
 	# working around sphinx bug #739300
