## brian 2.8.0

=== debian/changelog ===
brian (2.8.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version compatible with Py3.13 (Closes: #1091403)
  * Refresh patches
  * Use dh-sequence-python3 to trim d/rules a bit

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 00:15:17 +0100

brian (2.7.1+ds-2) unstable; urgency=medium

  * rm-setuptools-dep.patch: new: remove dependency on setuptools.
    The dependency on setuptools encoded in upstream pyproject.toml
    results in pulling python3-pkg-resources, which is going to be
    removed. (Closes: #1083322)
  * d/s/lintian-overrides: remove: issue fixed in lintian.
  * d/rules: fix cleanup of standalone307987.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 16:58:55 +0200
